<?php
// importe la fonction creer_repertoire_documents, qui retourne le chemin vers un dossier donné dans le répertoire img, et le crée si nécessaire
include_spip('inc/getdocument');

//gestion de l'upload d'un bandeau
// les bandeaux sont sauvés sous la forme bandeau.ext, et bandeau-id_rubrique.ext pour les bandeaux associés à une rubrique particulière 
function traiter_upload_bandeau($id_rubrique=0){
  if (isset($_FILES["bandeau"])) {
    if ($_FILES["bandeau"]["error"] == 0) {
      $ext = strtolower(end(explode(".", $_FILES["bandeau"]["name"])));
      $ext_ok = Array("jpg", "gif", "png");
      if (!in_array($ext, $ext_ok)) {
        return "arty:erreur_extension";
      }

      $chem = creer_repertoire_documents("bandeau");
      $chem = _DIR_DOC."bandeau/";
      
      if (!$id_rubrique) {
        $nom_bandeau = "bandeau";
      } else {
        $nom_bandeau = "bandeau-$id_rubrique";
      }
      
      $dest = $chem.$nom_bandeau.".".$ext;
      
      $ok = false;
      if ($chem) {
        $ok = @move_uploaded_file($_FILES['bandeau']['tmp_name'], $dest);
      }
      
      if ($ok){
        //nettoyage du dossier bandeau (les bandeaux portant le même nom mais une extension différente du bandeau uploadé sont supprimés)
        $handle = @opendir($chem); 
        while($fichier = @readdir($handle)) {
          if (ereg("^$nom_bandeau\.(jpg|png|gif)$", $fichier) && $fichier != $nom_bandeau.".".$ext){
            @unlink($chem.$fichier);
          }
        }
        return "arty:upload_reussi";
      } else {
        return "arty:upload_rate";
      }
    } else if ($_FILES["bandeau"]["error"] == 1 || $_FILES["bandeau"]["error"] == 2) {
      return "arty:erreur_trop_gros";
    } else if ($_FILES["bandeau"]["error"] == 3) {
      return "arty:erreur_transmission";
    }
  }
}

// supprime le bandeau d'une rubrique donnée
function traiter_suppression_bandeau($id_rubrique=0){
  if (isset($_GET['action']) && isset($_GET['id_check'])){
    if ($_GET['action'] == "supprimer_bandeau" && $_GET['id_check'] == $_SESSION["id_check"]) {
      $chem = _DIR_DOC."bandeau/";
      $handle = @opendir($chem);       
      while($fichier = @readdir($handle)) {
        if (!$id_rubrique) {
          if (ereg("^bandeau\.(jpg|png|gif)$", $fichier)){
            @unlink($chem.$fichier);
          }
        } else {
          if (ereg("^bandeau-$id_rubrique\.(jpg|png|gif)$", $fichier)){
            @unlink($chem.$fichier);
          }
        }
      }
    }
  }
}

// affiche le bandeau principal actuel ainsi qu'un lien pour le supprimer. 
function bandeau_actuel(){
  $chem = creer_repertoire_documents("bandeau");
  $chem = _DIR_DOC."bandeau/";
  $handle = @opendir($chem);
  
  while($fichier = @readdir($handle)) {
    if (ereg("^bandeau\.(jpg|png|gif)$", $fichier)) {
      $bandeau = $fichier;
    }
  }
  if (!isset($bandeau)){
    return "<p>"._T("arty:aucun_bandeau")."</p>";
  } else {
    $result = _T("arty:bandeau_actuel").":<br /><img width=\"400\" src=\""._DIR_DOC."bandeau/$bandeau?".uniqid(rand())."\">"; // le nombre aléatoire permet d'éviter que le navigateur affiche la version en cache de l'image.
    $result .= "<p>[<a href=\"?exec=theme&action=supprimer_bandeau&id_check=".$_SESSION['id_check']."\">"._T('arty:supprimer_bandeau')."</a>]</p>";
    return $result;
  }
}
?>
